Feedback tool doesn't require the subject, and posting fails when the page points to a Flow board if the subject isn't required
Closed, ResolvedPublic1 Story Points

Description

What happens:

  1. Go to the English Wikipedia. Open a page in the visual editor.
  2. Send feedback. Don't include a subject.
  3. See the feedback, with no ==Section heading==, appended to the end of the page.

Now try it at a Flow board:

  1. Go to mediawiki.org. Open a page iin the visual editor.
  2. Send feedback. Don't include a subject.
  3. See the error message: "Error: Edit failed".

Either we need to require a subject heading, or we need to fill one in if it's submitted with a blank line. Feedback centralization for the visual editor probably shouldn't proceed until this is addressed.

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 24 2015, 7:58 PM
Whatamidoing-WMF set Security to None.
Qgil moved this task from Backlog to Team radar on the Community-Liaisons board.Jan 13 2016, 1:13 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 18 2016, 3:35 PM

Change 264763 had a related patch set uploaded (by Jforrester):
mw.feedback: Make the title required

https://gerrit.wikimedia.org/r/264763

Jdforrester-WMF closed this task as Resolved.Jan 18 2016, 6:39 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.

Change 264763 merged by jenkins-bot:
mw.feedback: Make the title required

https://gerrit.wikimedia.org/r/264763

Change 267709 had a related patch set uploaded (by Jforrester):
mw.feedback: Make the title required

https://gerrit.wikimedia.org/r/267709

Change 267709 abandoned by Jforrester:
mw.feedback: Make the title required

Reason:
Not worth it now.

https://gerrit.wikimedia.org/r/267709